## org.apache.fop.dom.svg
Class SVGAnimatedStringImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGAnimatedStringImpl

public class SVGAnimatedStringImpl
extends java.lang.Object
implements org.w3c.dom.svg.SVGAnimatedString

Constructor Summary
`SVGAnimatedStringImpl(java.lang.String l)`

Method Summary
`java.lang.String` `getAnimVal()`
`java.lang.String` `getBaseVal()`
`void` `setBaseVal(java.lang.String baseVal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAnimatedStringImpl

    public SVGAnimatedStringImpl(java.lang.String l)

Method Detail

### getBaseVal

    public java.lang.String getBaseVal()

  Specified by:
    getBaseVal in interface org.w3c.dom.svg.SVGAnimatedString

### setBaseVal

    public void setBaseVal(java.lang.String baseVal)

  Specified by:
    setBaseVal in interface org.w3c.dom.svg.SVGAnimatedString

### getAnimVal

    public java.lang.String getAnimVal()

  Specified by:
    getAnimVal in interface org.w3c.dom.svg.SVGAnimatedString

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.